import { NextApiHandler, NextApiRequest, NextApiResponse, NextConfig } from 'next';
import { NodeOptions } from '@highlight-run/node';

declare const Highlight: <T>(options?: NodeOptions) => (origHandler: NextApiHandler<T>) => (req: NextApiRequest, res: NextApiResponse<T>) => Promise<T>;

interface HighlightConfigOptions {
    uploadSourceMaps?: boolean;
    configureHighlightProxy?: boolean;
    apiKey?: string;
    appVersion?: string;
    sourceMapsPath?: string;
    sourceMapsBasePath?: string;
}
declare const withHighlightConfig: (config: NextConfig, highlightOpts?: HighlightConfigOptions) => NextConfig;

export { Highlight, withHighlightConfig };
